Bug 109450 - unable to run unit tests due to classpath problems
unable to run unit tests due to classpath problems
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-07 17:12 EST by Vadim Nasardinov
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-03 14:36:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Nasardinov 2003-11-07 17:12:12 EST
Trying to run

$ ant -Djunit.suite=KernelSuite.class runtests

Results in the following error:

BUILD FAILED
file:/var/ccm-devel/dev/vadim/dev/build.xml:1241:
 Could not create task or type of type: junit.

I have junit.jar available at the following location:

$ rpm -ql ccm-config-libs | grep junit.jar
/usr/share/java/junit.jar

The only place where the /usr/share/java directory is mentioned in
$CCM_DEVEL_HOME is in $CCM_DEVEL_HOME/ccm.classpath.  However,
$CCM_DEVEL_HOME/build.xml contains no references to ccm.classpath.
Thus, junit.jar is never added to the classpath.

The problem goes away if I do:

$ env CLASSPATH=$CLASSPATH:/usr/share/java/junit.jar \
  ant -Djunit.suite=KernelSuite.class runtests
Comment 1 Vadim Nasardinov 2005-08-03 14:36:58 EDT
stale

Note You need to log in before you can comment on or make changes to this bug.